echo create vmmc system directory
@mkdir %SystemRoot%\vmmc
echo export the directory as shared
@net share vmmc=%SystemRoot%\vmmc /unlimited /remark:"VMMC System Directory"

echo create vmmc user with password vmmc 
echo feel free to change the password, but it must be the same on all cluster nodes
@net user vmmc vmmc /add /fullname:"VMMC System Account" /homedir:%systemroot%\vmmc /active:yes /passwordchg:no /expires:never

echo give vmmc administrator priviledges
@net localgroup Administrators vmmc /add

echo set priviledges for vmmc account
@setprivs vmmc SeLoadDriverPrivilege
@setprivs vmmc SeLockMemoryPrivilege
@setprivs vmmc SeTcbPrivilege
@setprivs vmmc SeIncreaseQuotaPrivilege
@setprivs vmmc SeIncreaseBasePriorityPrivilege
@setprivs vmmc SeAssignPrimaryTokenPrivilege
@setprivs vmmc SeRestorePrivilege
@setprivs vmmc SeDebugPrivilege
@setprivs vmmc SeCreateTokenPrivilege
@setprivs vmmc SeSecurityPrivilege

echo goto installshield setup
@call _kitm.exe


