@echo We are testing the VMMC by running the example programs one at a time ...
@echo                                                                         .
@echo                                                                         .

@if "%1" == ""     goto error_no_host
@if "%2" == ""     goto error_no_host

@set host1=%1
@set host2=%2


@set username=vmmc
@set password=Vmmc2Rocks
@set netshare=""
@set workdir=%systemroot%\vmmc\test


@echo first, setting a session with user account, password, and network share
@..\bin\cfgvmmc %host1% add TestSession %username% %password% %systemdrive% "" ""
@..\bin\cfgvmmc %host2% add TestSession %username% %password% %systemdrive% "" ""

@set VMMCHOSTS=%host1% %host2%

@pause
@echo now, let us run the VMMC programs

@echo trying one-word PPBandwidth.exe
@..\bin\cfgvmmc.exe %host1% run TestSession %workdir% PPBandwidth.exe 10000 1 16384
@goto done

:error_no_host
@echo Error:   missing hostnames
@echo syntax:  testvmmc hostname_1 hostname_2

:done
